Summary:	Speedtest - test your internet bandwidth
Summary(de): Speedtest - testet deine Internet-Bandbreite

Name: speedtest
Version: 0.4.6
Release: %mkrel 1
URL: https://raw.github.com/sivel/speedtest-cli
Group: Networking/Other
License: GPLv3+
Source0: %{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires: wget
Requires: imagemagick
Requires: python3
Requires: libnotify 
Requires: yad 
Requires: python3-requests
Requires: gtk+3.0
Requires:  xapps
Requires: python3-pystray
Requires:  python3-xapps-overrides 
Obsoletes:	%name < %version

%description
Speedtest gui to test your internet bandwidth using speedtest.net

%description -l de
Speedtest GUI testet deine Internet-Bandbreite über speedtest.net

%prep

%setup -q

%build

%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-Internet-Other" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%name.desktop

%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus


%postun
%clean_menus

%files 
%defattr(-,root,root)
%doc AUTHORS README COPYING
%_bindir/%{name}
%_bindir/%{name}-cli
%_iconsdir/hicolor/*/apps/%{name}.png
%_datadir/applications/%{name}.desktop
%_datadir/%{name}

%changelog
* Mon Mar 04 2024 Ken <lxgator at gmail.com> 0.4.6-1pclos2024
- Add req python3-pystray
- Update to adopt wayland session 






